function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import Alert from './Alert';
export default {
  title: 'Components/Alert',
  component: Alert,
  argTypes: {},
  args: {
    hideIcon: false
  }
};

var Template = function Template(args) {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Alert, args, /*#__PURE__*/React.createElement("p", {
    className: "ds-c-alert__text"
  }, "Lorem ipsum dolor sit ", /*#__PURE__*/React.createElement("a", {
    href: "https://design.cms.gov/"
  }, "link text"), ", consectetur adipiscing elit, sed do eiusmod. Alerts can have chidren, or they can be left off and used with just a heading prop.")), /*#__PURE__*/React.createElement(Alert, _extends({}, args, {
    className: "ds-u-margin-top--3"
  })), /*#__PURE__*/React.createElement(Alert, _extends({}, args, {
    className: "ds-u-margin-top--3",
    heading: ""
  }), /*#__PURE__*/React.createElement("p", {
    className: "ds-c-alert__text"
  }, "An alert without a heading. Lorem ipsum dolor sit.")));
};

export var Default = Template.bind({});
Default.args = {
  heading: 'This is a simple heading'
};
export var ErrorAlert = Template.bind({});
ErrorAlert.args = {
  heading: 'There was an Error',
  variation: 'error'
};
export var WarningAlert = Template.bind({});
WarningAlert.args = {
  heading: 'Warning variation theme',
  variation: 'warn'
};
export var SuccessAlert = Template.bind({});
SuccessAlert.args = {
  heading: 'Success variation theme',
  variation: 'success'
};
export var NoIcon = Template.bind({});
NoIcon.args = {
  heading: 'No icon represented',
  hideIcon: true
};
export var LightWeight = Template.bind({});
LightWeight.args = {
  heading: 'A lightweight heading',
  weight: 'lightweight'
};